> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tip Display

> Update a tip display.



## OpenAPI

````yaml patch /billing/tip-displays/{display_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/tip-displays/{display_id}:
    patch:
      tags:
        - provider
        - billing
      summary: Update Tip Display
      description: Update a tip display.
      operationId: update_tip_display_billing_tip_displays__display_id__patch
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: display_id
          in: path
          required: true
          schema:
            type: string
            title: Display Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTipDisplayRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TipDisplayResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateTipDisplayRequest:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: New display name
        isActive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isactive
          description: Whether display is active
      type: object
      title: UpdateTipDisplayRequest
      description: Request to update a tip display.
    TipDisplayResponse:
      properties:
        id:
          type: string
          title: Id
          description: Display ID
        name:
          type: string
          title: Name
          description: Display name (e.g. 'Front Desk')
        locationId:
          type: string
          title: Locationid
          description: Location ID
        isActive:
          type: boolean
          title: Isactive
          description: Whether display is active
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: Creation time
      type: object
      required:
        - id
        - name
        - locationId
        - isActive
        - createdDate
      title: TipDisplayResponse
      description: A configured tip display.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````